Groovy 1.7.10

## org.codehaus.groovy.runtime.metaclass
[Java] Class MissingMethodExecutionFailed

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingMethodException
                          org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack
                              org.codehaus.groovy.runtime.metaclass.MissingMethodExecutionFailed

    public class MissingMethodExecutionFailed
    extends MissingMethodExceptionNoStack

A stack less exception used to indicate, that the execution of a missingMethod method failed with a MissingMethodException. This is used to preven a call to invokeMethod for GroovyObject implementing classes.

Constructor Summary
`MissingMethodExecutionFailed(String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)`

Method Summary
`Throwable` | `getCause()`

Methods inherited from class MissingMethodExceptionNoStack
fillInStackTrace

Methods inherited from class MissingMethodException
getArguments, getMessage, getMethod, getType, isStatic

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MissingMethodExecutionFailed

    public MissingMethodExecutionFailed(String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)

Method Detail

### getCause

    public Throwable getCause()

Copyright © 2003-2010 The Codehaus. All rights reserved.